View Issue Details

IDProjectCategoryView StatusLast Update
0002141SOGoSOPEpublic2013-01-09 11:30
Reportergbechis Assigned To 
PrioritynormalSeveritytrivialReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.3a 
Fixed in Version2.0.4 
Summary0002141: Sope does not build on OpenBSD-5.2
Description

Sope does not build on OpenBSD 5.2, netinet/in.h include is missing from sope-core/NGStreams/NGActiveSocket.m.

TagsNo tags attached.

Activities

2012-12-10 04:35

 

patch-sope-core_NGStreams_NGActiveSocket_m.diff (670 bytes)   
Index: patches/patch-sope-core_NGStreams_NGActiveSocket_m
===================================================================
RCS file: patches/patch-sope-core_NGStreams_NGActiveSocket_m
diff -N patches/patch-sope-core_NGStreams_NGActiveSocket_m
--- /dev/null   1 Jan 1970 00:00:00 -0000
+++ patches/patch-sope-core_NGStreams_NGActiveSocket_m  7 Dec 2012 14:10:43 -0000
@@ -0,0 +1,11 @@
+$OpenBSD$
+--- sope-core/NGStreams/NGActiveSocket.m.orig  Fri Dec  7 14:53:28 2012
++++ sope-core/NGStreams/NGActiveSocket.m       Fri Dec  7 14:54:45 2012
+@@ -19,6 +19,7 @@
+   02111-1307, USA.
+ */
+ 
++#include <netinet/in.h>
+ #include <netinet/tcp.h>
+ 
+ #include "config.h"
ludovic

ludovic

2013-01-09 11:30

administrator   ~0005101

Fixed: https://github.com/inverse-inc/sope/commit/efccb03d148c64e10b51dbe2e40be5d08bf1b1c8

Issue History

Date Modified Username Field Change
2012-12-10 04:35 gbechis New Issue
2012-12-10 04:35 gbechis File Added: patch-sope-core_NGStreams_NGActiveSocket_m.diff
2013-01-09 11:30 ludovic Note Added: 0005101
2013-01-09 11:30 ludovic Status new => closed
2013-01-09 11:30 ludovic Resolution open => fixed
2013-01-09 11:30 ludovic Fixed in Version => 2.0.4